Package com.arms.api.requirement.reqstate.controller

## Class ReqStateController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqState,​ReqStateDTO,​ReqStateEntity>
  - - com.arms.api.requirement.reqstate.controller.ReqStateController

-     @Controller
      @RequestMapping("/arms/reqState")
      public class ReqStateController
      extends TreeAbstractController<ReqState,​ReqStateDTO,​ReqStateEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqStateController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.web.servlet.ModelAndView` | `addStateNode​(ReqStateDTO reqStateDTO, org.springframework.validation.BindingResult bindingResult, javax.servlet.http.HttpServletRequest request, org.springframework.ui.ModelMap model)` |
    `void` | `initialize()` |
    `org.springframework.web.servlet.ModelAndView` | `removeNodeAndChangeState​(ReqStateDTO reqStateDTO, java.lang.Long stateIdToChagne, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.web.servlet.ModelAndView` | `updateNode​(ReqStateDTO reqStateDTO, org.springframework.validation.BindingResult bindingResult, javax.servlet.http.HttpServletRequest request, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `기본_상태_설정​(ReqStateDTO reqStateDTO)` |
    `org.springframework.web.servlet.ModelAndView` | `요구사항_완료_키워드조회()` |
    `org.springframework.http.ResponseEntity<?>` | `카테고리_매핑된_상태목록_조회()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqStateController

          public ReqStateController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### addStateNode

          @ResponseBody
          @RequestMapping(value="/addStateNode.do",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView addStateNode​(@Validated(AddNode.class)
                                                                           ReqStateDTO reqStateDTO,
                                                                           org.springframework.validation.BindingResult bindingResult,
                                                                           javax.servlet.http.HttpServletRequest request,
                                                                           org.springframework.ui.ModelMap model)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateNode

          @ResponseBody
          @RequestMapping(value="/updateNode.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView updateNode​(@Validated(UpdateNode.class)
                                                                         ReqStateDTO reqStateDTO,
                                                                         org.springframework.validation.BindingResult bindingResult,
                                                                         javax.servlet.http.HttpServletRequest request,
                                                                         org.springframework.ui.ModelMap model)
                                                                  throws java.lang.Exception

      Overrides:
        `updateNode` in class `TreeAbstractController<ReqState,​ReqStateDTO,​ReqStateEntity>`
      Throws:
        `java.lang.Exception`

    - #### removeNodeAndChangeState

          @ResponseBody
          @RequestMapping(value="/removeNodeAndChangeState.do",
                          method=DELETE)
          public org.springframework.web.servlet.ModelAndView removeNodeAndChangeState​(@Validated(RemoveNode.class)
                                                                                       ReqStateDTO reqStateDTO,
                                                                                       @RequestParam("stateIdToChange")
                                                                                       java.lang.Long stateIdToChagne,
                                                                                       org.springframework.validation.BindingResult bindingResult,
                                                                                       org.springframework.ui.ModelMap model)
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 요구사항_완료_키워드조회

          @ResponseBody
          @RequestMapping(value="/complete-keyword",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView 요구사항_완료_키워드조회()
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 카테고리_매핑된_상태목록_조회

          @ResponseBody
          @RequestMapping(value="/getReqStateListFilter.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> 카테고리_매핑된_상태목록_조회()
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 기본_상태_설정

          @ResponseBody
          @RequestMapping(value="/defaultSetting.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> 기본_상태_설정​(ReqStateDTO reqStateDTO)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`